toc:
- title: Overview
  path: /security/
- title: Kernel Security
  path: /security/overview/kernel-security
- title: App Security
  path: /security/overview/app-security
- title: Implementing Security
  path: /security/overview/implement
- title: Updates and Resources
  path: /security/overview/updates-resources
- title: Enhancements
  section:
  - title: Overview
    path: /security/enhancements/
  - title: Android 7.0
    path: /security/enhancements/enhancements70
  - title: Android 6.0
    path: /security/enhancements/enhancements60
  - title: Android 5.0
    path: /security/enhancements/enhancements50
  - title: Android 4.4
    path: /security/enhancements/enhancements44
  - title: Android 4.3
    path: /security/enhancements/enhancements43
  - title: Android 4.2
    path: /security/enhancements/enhancements42
  - title: Android 4.1
    path: /security/enhancements/enhancements41
- title: Acknowledgements
  path: /security/overview/acknowledgements
- title: Bulletins
  section:
  - title: Overview
    path: /security/bulletin/
  - title: Advisories
    path: /security/advisory/
  - title: 2017 Bulletins
    section:
    - title: July
      path: /security/bulletin/2017-07-01
    - title: June
      path: /security/bulletin/2017-06-01
    - title: May
      path: /security/bulletin/2017-05-01
    - title: April
      path: /security/bulletin/2017-04-01
    - title: March
      path: /security/bulletin/2017-03-01
    - title: February
      path: /security/bulletin/2017-02-01
    - title: January
      path: /security/bulletin/2017-01-01
    - title: Index
      path: /security/bulletin/2017
  - title: 2016 Bulletins
    section:
    - title: December
      path: /security/bulletin/2016-12-01
    - title: November
      path: /security/bulletin/2016-11-01
    - title: October
      path: /security/bulletin/2016-10-01
    - title: September
      path: /security/bulletin/2016-09-01
    - title: August
      path: /security/bulletin/2016-08-01
    - title: July
      path: /security/bulletin/2016-07-01
    - title: June
      path: /security/bulletin/2016-06-01
    - title: May
      path: /security/bulletin/2016-05-01
    - title: April
      path: /security/bulletin/2016-04-02
    - title: March
      path: /security/bulletin/2016-03-01
    - title: February
      path: /security/bulletin/2016-02-01
    - title: January
      path: /security/bulletin/2016-01-01
    - title: Index
      path: /security/bulletin/2016
  - title: 2015 Bulletins
    section:
    - title: December
      path: /security/bulletin/2015-12-01
    - title: November
      path: /security/bulletin/2015-11-01
    - title: October
      path: /security/bulletin/2015-10-01
    - title: September
      path: /security/bulletin/2015-09-01
    - title: August
      path: /security/bulletin/2015-08-01
    - title: Index
      path: /security/bulletin/2015
- title: Application Signing
  section:
  - title: Overview
    path: /security/apksigning/
  - title: APK Signature Scheme v2
    path: /security/apksigning/v2
- title: Authentication
  section:
  - title: Overview
    path: /security/authentication/
  - title: Fingerprint HAL
    path: /security/authentication/fingerprint-hal
  - title: Gatekeeper
    path: /security/authentication/gatekeeper
- title: Keystore
  section:
  - title: Overview
    path: /security/keystore/
  - title: Features
    path: /security/keystore/features
  - title: Implementer's Reference
    path: /security/keystore/implementer-ref
- title: Trusty TEE
  section:
  - title: Overview
    path: /security/trusty/
  - title: Trusty API Reference
    path: /security/trusty/trusty-ref
- title: Encryption
  section:
  - title: Overview
    path: /security/encryption/
  - title: File-Based Encryption
    path: /security/encryption/file-based
  - title: Full-Disk Encryption
    path: /security/encryption/full-disk
- title: SELinux
  section:
  - title: Overview
    path: /security/selinux/
  - title: Concepts
    path: /security/selinux/concepts
  - title: Implementation
    path: /security/selinux/implement
  - title: Customization
    path: /security/selinux/customize
  - title: Validation
    path: /security/selinux/validate
  - title: Writing Policy
    path: /security/selinux/device-policy
- title: Verified Boot
  section:
  - title: Overview
    path: /security/verifiedboot/
  - title: Verifying Boot
    path: /security/verifiedboot/verified-boot
  - title: Implementing dm-verity
    path: /security/verifiedboot/dm-verity
